Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.title
Class DateTitle

    java.lang.Object
      org.jfree.chart.title.Title
          org.jfree.chart.title.TextTitle
              org.jfree.chart.title.DateTitle

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class DateTitle
extends TextTitle

A chart title that displays the date.

Keep in mind that a chart can have several titles, and that they can appear at the top, left, right or bottom of the chart - a `DateTitle` will commonly appear at the bottom of a chart, although you can place it anywhere.

By specifying the locale, dates are formatted to the correct standard for the given locale. For example, a date would appear as "January 17, 2000" in the US, but "17 January 2000" in most European locales.

Author:
  David Berry
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jfree.chart.title.TextTitle
`DEFAULT_FONT, DEFAULT_TEXT_PAINT, logger`

Fields inherited from class org.jfree.chart.title.Title
`BOTTOM, CENTER, DEFAULT_HORIZONTAL_ALIGNMENT, DEFAULT_POSITION, DEFAULT_SPACER, DEFAULT_VERTICAL_ALIGNMENT, EAST, LEFT, MIDDLE, NORTH, RIGHT, SOUTH, TOP, WEST`

Constructor Summary
`DateTitle()` Creates a new chart title that displays the current date in the default (LONG) format for the locale, positioned to the bottom right of the chart.
`DateTitle(int style)` Creates a new chart title that displays the current date with the specified style (for the default locale).
`DateTitle(int style, java.util.Locale locale, java.awt.Font font, java.awt.Paint paint)` Creates a new chart title that displays the current date.
`DateTitle(int style, java.util.Locale locale, java.awt.Font font, java.awt.Paint paint, org.jfree.ui.RectangleEdge position, org.jfree.ui.HorizontalAlignment horizontalAlignment, org.jfree.ui.VerticalAlignment verticalAlignment, org.jfree.ui.Spacer spacer)` Creates a new chart title that displays the current date.

Method Summary
`void` | `setDateFormat(int style, java.util.Locale locale)` Set the format of the date.

Methods inherited from class org.jfree.chart.title.TextTitle
`clone, draw, drawHorizontal, drawVertical, equals, getBackgroundPaint, getFont, getPaint, getPreferredHeight, getPreferredWidth, getText, hashCode, setBackgroundPaint, setFont, setPaint, setText`

Methods inherited from class org.jfree.chart.title.Title
`addChangeListener, getHorizontalAlignment, getNotify, getPosition, getSpacer, getVerticalAlignment, notifyListeners, removeChangeListener, setHorizontalAlignment, setNotify, setPosition, setSpacer, setVerticalAlignment`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DateTitle

    public DateTitle()

  Creates a new chart title that displays the current date in the default (LONG) format for the locale, positioned to the bottom right of the chart.

  The color will be black in 12 point, plain Helvetica font (maps to Arial on Win32 systems without Helvetica).

### DateTitle

    public DateTitle(int style)

  Creates a new chart title that displays the current date with the specified style (for the default locale).

  The date style should be one of: `SHORT`, `MEDIUM`, `LONG` or `FULL` (defined in `java.util.DateFormat`).``

Parameters:
  `style` - the date style.

### DateTitle

    public DateTitle(int style,
                     java.util.Locale locale,
                     java.awt.Font font,
                     java.awt.Paint paint)

  Creates a new chart title that displays the current date.

  The date style should be one of: `SHORT`, `MEDIUM`, `LONG` or `FULL` (defined in `java.util.DateFormat`).``

  For the locale, you can use `Locale.getDefault()` for the default locale.

Parameters:
  `style` - the date style.
  `locale` - the locale.
  `font` - the font.
  `paint` - the text color.

### DateTitle

    public DateTitle(int style,
                     java.util.Locale locale,
                     java.awt.Font font,
                     java.awt.Paint paint,
                     org.jfree.ui.RectangleEdge position,
                     org.jfree.ui.HorizontalAlignment horizontalAlignment,
                     org.jfree.ui.VerticalAlignment verticalAlignment,
                     org.jfree.ui.Spacer spacer)

  Creates a new chart title that displays the current date.

  The date style should be one of: `SHORT`, `MEDIUM`, `LONG` or `FULL` (defined in `java.util.DateFormat`).``

  For the locale, you can use `Locale.getDefault()` for the default locale.

Parameters:
  `style` - the date style.
  `locale` - the locale.
  `font` - the font (not null).
  `paint` - the text color (not null).
  `position` - the relative location of this title (use constants in Title).
  `horizontalAlignment` - the horizontal text alignment of this title (use constants in Title).
  `verticalAlignment` - the vertical text alignment of this title (use constants in Title).
  `spacer` - determines the blank space around the outside of the title (not null).

Method Detail

### setDateFormat

    public void setDateFormat(int style,
                              java.util.Locale locale)

  Set the format of the date.

  The date style should be one of: `SHORT`, `MEDIUM`, `LONG` or `FULL` (defined in `java.util.DateFormat`).``

  For the locale, you can use `Locale.getDefault()` for the default locale.

  Parameters:
    `style` - the date style.
    `locale` - the locale.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD